Announcement Announcement Module
Collapse
No announcement yet.
New System Requirements for new update Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • New System Requirements for new update

    I try to update the new version of curio quest. . . but the update says my phone is not compatible to the new version. My question is how do I know the new system requirements for the new version of curio quest.

  • #2
    maybe your phone is too old, try to borrow your friend's phone or buy newer phone

    Comment


    • #3
      Lol ouch that sucks.. If your phone is real old, maybe it is time for an upgrade. Though at the same time, I use an old phone and if I couldn't run this anymore I'd probably just stop playing. My phone works just fine, not going to buy a new one just for this game.

      Comment


      • #4
        Pring, Can you please file a support ticket here: http://mobile.curioquestgame.com/forums/contact-us. That way we can get a few more details about your device and how best to help you.

        Thanks!
        LittleFury

        Comment


        • #5
          Done liitlefury. . . and thank you

          Comment

          Working...
          X